Browse Source

Merge pull request #4060 from fatedier/dev

bump version
fatedier 11 months ago
parent
commit
a5b7abfc8b
4 changed files with 8 additions and 16 deletions
  1. 3 3
      Makefile.cross-compiles
  2. 1 12
      Release.md
  3. 3 0
      package.sh
  4. 1 1
      pkg/util/version/version.go

+ 3 - 3
Makefile.cross-compiles

@@ -1,4 +1,4 @@
-export PATH := $(GOPATH)/bin:$(PATH)
+export PATH := $(PATH):`go env GOPATH`/bin
 export GO111MODULE=on
 export GO111MODULE=on
 LDFLAGS := -s -w
 LDFLAGS := -s -w
 
 
@@ -15,8 +15,8 @@ app:
 		gomips=$(shell echo "$(n)" | cut -d : -f 3);\
 		gomips=$(shell echo "$(n)" | cut -d : -f 3);\
 		target_suffix=$${os}_$${arch};\
 		target_suffix=$${os}_$${arch};\
 		echo "Build $${os}-$${arch}...";\
 		echo "Build $${os}-$${arch}...";\
-		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} GOMIPS=$${gomips} go build -trimpath -ldflags "$(LDFLAGS)" -o ./release/frpc_$${target_suffix} ./cmd/frpc;\
-		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} GOMIPS=$${gomips} go build -trimpath -ldflags "$(LDFLAGS)" -o ./release/frps_$${target_suffix} ./cmd/frps;\
+		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} GOMIPS=$${gomips} go build -trimpath -ldflags "$(LDFLAGS)" -tags frpc -o ./release/frpc_$${target_suffix} ./cmd/frpc;\
+		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} GOMIPS=$${gomips} go build -trimpath -ldflags "$(LDFLAGS)" -tags frps -o ./release/frps_$${target_suffix} ./cmd/frps;\
 		echo "Build $${os}-$${arch} done";\
 		echo "Build $${os}-$${arch} done";\
 	)
 	)
 	@mv ./release/frpc_windows_amd64 ./release/frpc_windows_amd64.exe
 	@mv ./release/frpc_windows_amd64 ./release/frpc_windows_amd64.exe

+ 1 - 12
Release.md

@@ -1,12 +1 @@
-### Notable Changes
-
-* The minimum supported Go version has been updated to `1.22`. In the new version of Go, the default minimum supported TLS version has been changed to `TLS 1.2`.
-* The default value of `--strict-config` has been changed from `false` to `true`. If your configuration file uses a non-existent configuration item or has a spelling error, the application will throw an error. This startup parameter was introduced in version `v0.53.0`. If you wish to continue using the old behavior, you need to explicitly set `--strict-config=false`.
-
-### Features
-
-* Proxy supports configuring annotations, which will be displayed in the frps dashboard.
-
-### Changes
-
-* Removed dependencies on the forked version of kcp-go and beego log, kcp-go now uses the upstream version, and golib/log replaces beego log.
+No feature changes, just a fix for the issue of no released assets in version 0.55.0.

+ 3 - 0
package.sh

@@ -1,3 +1,6 @@
+#!/bin/sh
+set -e
+
 # compile for version
 # compile for version
 make
 make
 if [ $? -ne 0 ]; then
 if [ $? -ne 0 ]; then

+ 1 - 1
pkg/util/version/version.go

@@ -14,7 +14,7 @@
 
 
 package version
 package version
 
 
-var version = "0.55.0"
+var version = "0.55.1"
 
 
 func Full() string {
 func Full() string {
 	return version
 	return version